Bug 447523 - system hangs on boot, (goes sleeping?)
system hangs on boot, (goes sleeping?)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-20 06:42 EDT by Daniel Rindt
Modified: 2009-07-14 11:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:47:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Rindt 2008-05-20 06:42:06 EDT
Description of problem:
the fedora i386 kernel does some weird things on my laptop (Samsung R60). the
system freezes on bootup if iam press a key then it continues the boot and i
dunno how i can communicate this to the bugzilla. i have tested another kernel
and this work fine (selfbuid) the problem seems belonging to this described on
this page: http://de.gentoo-wiki.com/Samsung_R60_plus#Prozessor the problem
doesn not happen in x86_64 the german text und
 er the screen means that wrong settings cause hang on boot (my problem) thanks
for noticing my issue

Version-Release number of selected component (if applicable):
this exists since f8 and persists till today in f9

How reproducible:
the installer runs on this machine in text mode only. i switch to a button in
anaconda and press enter. the button goes down and hold. nothing happen anymore.
then i press the "strg" key also known as "ctrl" i press multiple times and
viola the button comes back on top and the dialog continues asking me about the
setup. the problem continues during the entire installation. the first boot:
IMHO the systems stop after loading udev. i must push on the touchpad or press a
key then the system contiues the booting sequence. after some seconds the system
hangs again. this is happen mutlitple times on nearly every boot. every 10 or 20
boot are does not affected by this weird behavior. when i have a lot of time i
can wait 10 - 30 minutes and he comes back from this sleeping process and
continue loading.

Steps to Reproduce:
1. install f8 or f9 i386
2.
3.
  
Actual results:


Expected results:


Additional info:
seems the i386 kernel is affected only the x86_64 works fine. but i can't use it
because i need the madwifi and this package is 32 bit currently only. reason is
that atheros released currently for the card a 32bit hal only.
Comment 1 Dave Jones 2008-05-20 09:16:29 EDT
does booting with nohz=off help ?
Comment 2 Daniel Rindt 2008-05-20 18:11:57 EDT
It seems indeed that this options solve that issue. in a subjective way i would
like to say that this options slightly boosts the boot process. can i know what
this option has for disadvantages in my case?
Comment 3 Chuck Ebbert 2008-05-23 01:49:39 EDT
It will use more power (so the battery won't last as long.)
Comment 4 Daniel Rindt 2008-05-23 06:33:54 EDT
the thing is that this sleeping is on boot only and not all the time when it
boots. iam booting now with nohz=off and compare the output from powertop...

my summary is when iam boot without the nohz=off then on boot i must press keys
to continue powertop says approx 16W power consumption, and approx 60 cpu
wakeups per second.
booting with nohz=off, the boot works fine and seems faster that the option
above.  powertop says the cpu wakes up aprox 1000 wakeups in a second, the power
consumption is the same as above 16Watts.

what can i do to resolve the problem? iam already updated the bios in that
machine. what now?
Comment 5 Bug Zapper 2009-06-09 21:02:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 11:47:35 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.